db4o |

# Configuration.UpdateDepth Method

specifies the global updateDepth.

void UpdateDepth(
int depth
);

#### Parameters

depth
  the depth of the desired update.

#### Remarks

specifies the global updateDepth.
see the documentation of ObjectContainer.set() for further details.
The value be may be overridden for individual classes.
The default setting is 1: Only the object passed to ObjectContainer.set() will be updated.

#### See Also

Configuration Interface | com.db4o.config Namespace | com.db4o.config.ObjectClass.UpdateDepth | com.db4o.config.ObjectClass.CascadeOnUpdate | Using callbacks